### Method

# GimpUi ProcBrowserDialog get_selected

#### Declaration [src]

    gchar*
    gimp_proc_browser_dialog_get_selected (
      GimpProcBrowserDialog* dialog
    )

#### Description [src]

Retrieves the name of the currently selected procedure.

Available since: | 2.4

#### Return value

Returns: | `gchar*`
| The name of the selected procedure of `NULL` if no procedure is selected.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.